Home
Release Notes
Home
Release Notes
Linkedin
  1. Payments
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
        • Providers
        • Services
        • Service Configurations
        • available currencies
      • Payments
        • Inquiry
          POST
        • Fees
          POST
        • Confirm Payment
          POST
        • Bill Payment List
          GET
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Payments

Fees

POST
/bills/payments/fees
This endpoint is used to retrieve the fees associated with a bill payment request. It requires the service ID and the Balad reference number as input parameters.
Request Params
SI NoParameterTypeMandatoryRemarks
1service_idStringYUnique service ID
2balad_reference_numberStringYThe reference number generated for the inquiry.
Response Params
ParamsRemarks
account_numberThe account number associated with the transaction
fees_egpThe fees amount in Egyptian pounds
total_amount_egpThe total amount in Egyptian pounds
amount_egpThe amount in Egyptian pounds
balad_reference_numberThe reference number identifying the transaction
foreign_amountThe amount in foreign currency
foreign_currency_codeThe currency code of the foreign currency
partner_foreign_feesThe fees applied by the partner in foreign currency
total_foreign_amountThe total amount in foreign currency
display_messageThe display message for the transaction
is_fees_calculatedIndicates if the fees are calculated

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "service_id":1001,
    "parameters":[
        {
            "key":"balad_reference_number",
            "value":"XXXX"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/payments/fees' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "service_id":1001,
    "parameters":[
        {
            "key":"balad_reference_number",
            "value":"XXXX"
        }
    ]
}'

Responses

đŸŸ¢200Fees
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "key": "balad_reference_number",
            "value": "XXX"
        },
        {
            "key": "amount_egp",
            "value": "XXX"
        },
        {
            "key": "account_number",
            "value": "XXXXXXXXXX"
        },
        {
            "key": "display_message",
            "value": "Home Internet 20GB"
        },
        {
            "key": "total_amount_egp",
            "value": "XX"
        },
        {
            "key": "foreign_amount",
            "value": "XX"
        },
        {
            "key": "total_foreign_amount",
            "value": "XX"
        },
        {
            "key": "foreign_currency_code",
            "value": "USD"
        },
        {
            "key": "fees_egp",
            "value": "XX"
        }
    ],
    "errors": null
}
Previous
Inquiry
Next
Confirm Payment
Built with